#pragma once

#include <functional>

#include <eedb/data/Category.hpp>

namespace Wt {
class WContainerWidget;
}
namespace eedb {
class Category;

class CategoriesTree {
  public:
    virtual ~CategoriesTree() = default;

    virtual void attachTo(Wt::WContainerWidget * parent) = 0;

    virtual void registerOnCategoryChanged(std::function< void(const Category &) >) = 0;
};
}
